#import "RelocManager.h"

typedef struct _Region {
    Reloc reloc;
    vm_prot_t protection;
    unsigned char       *pages;
} Region;

typedef void (TaskGoneCallBack());

@interface RegionManager : RelocManager
{
    vm_task_t task;
    vm_size_t pageSize;
    TaskGoneCallBack *taskGoneCallBack;
    unsigned char *pages;
    BOOL dontCombineRegions;
}

+newTask: (vm_task_t)theTask;
+newTask: (vm_task_t)theTask readInRegions: (BOOL)readRegions;
-(int)putDataAt: (void *)start for: (int)numBytes from: (const void *)data;
-(int)writeDataAt: (const void *)start for: (int)numBytes;
-(int)writeDataAt: (const void *)start for: (int)numBytes reloc: (Region *)reloc;
-(void)setTaskGoneCallBack: (TaskGoneCallBack *)theCallBack;
-(BOOL)isTask;
-(void)combineRegions: (BOOL)combineRegions;

@end