#import <appkit/appkit.h>
#import "EditSpeaker.h"
#import <mach.h>
#import <sys/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  EditSpeaker :Speaker
{}
-(int)openFile : (char *) fileName
	onHost : (char *) hostName
	atTrueLine : (int) line
/* */
{
return [self selectorRPC:"openFile:onHost:atTrueLine:"
	paramTypes:"cci",
		fileName,
		hostName,
		line];
}
-(int)openFile : (char *) fileName
	onHost : (char *) hostName
	fromTrueLine : (int) startLine
	to : (int) endLine
/* */
{
return [self selectorRPC:"openFile:onHost:fromTrueLine:to:"
	paramTypes:"ccii",
		fileName,
		hostName,
		startLine,
		endLine];
}
-(int)connectTo : (port_t) controllerPort
/* */
{
return [self selectorRPC:"connectTo:"
	paramTypes:"s",
		controllerPort];
}
-(int)closeConnectionFrom : (port_t) controllerPort
/* */
{
return [self selectorRPC:"closeConnectionFrom:"
	paramTypes:"s",
		controllerPort];
}
-(int)isNewEdit : (int *) isNew
/* */
{
return [self selectorRPC:"isNewEdit:"
	paramTypes:"I",
		isNew];
}
-(int)gdbDone
/* */
{
return [self selectorRPC:"gdbDone"
	paramTypes:""];
}
@end
