/* Definitions of target machine for GNU compiler.  DECstation (OSF/1 with OSF/rose) version.
   Copyright (C) 1991 Free Software Foundation, Inc.

This file is part of GNU CC.

GNU CC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU CC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU CC; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */

#define DECSTATION
#define OSF_OS

#define CPP_PREDEFINES "-DOSF -DOSF1 -Dbsd4_2 -DMIPSEL -Dhost_mips -Dmips -Dunix -DR3000 -DSYSTYPE_BSD"

#define ASM_SPEC	"%{mmips-as:					\
				%{pipe:%e:-pipe not supported}		\
				%{EL} %{!EL:-EL}			\
				%{EB: %e-EB not supported}		\
				%{!mrnames: -nocpp}			\
				%{O:-O2} %{O1:-O2} %{O2:-O2} %{O3:-O3}	\
				%{g} %{g0} %{g1} %{g2} %{g3}		\
				%{v} %{K} %{Q}}				\
			 %{G*} %{G32: -G 32}"

#define CPP_SPEC	"%{.S:	-D__LANGUAGE_ASSEMBLY__			\
				-D_LANGUAGE_ASSEMBLY			\
				%{!ansi:-DLANGUAGE_ASSEMBLY}}		\
			 %{!.S:	-D__LANGUAGE_C__			\
				-D_LANGUAGE_C				\
				%{!ansi:-DLANGUAGE_C}}"

#define LINK_SPEC	"%{G*} %{G32: -G 32}				\
			 %{mmips-as:					\
				%{EL} %{!EL: -EL}			\
				%{EB: %e-EB not supported}		\
				%{bestGnum}}				\
			 %{!mmips-as:					\
				%{nostdlib}}"

#define LIB_SPEC "%{p:-lprof1} -lc"

#define STARTFILE_SPEC "%{pg:gcrt0.o%s}%{!pg:%{p:mcrt0.o%s}%{!p:crt0.o%s}}"

#define MACHINE_TYPE "DECstation running OSF/1 with OSF/rose objects"

#ifndef MD_EXEC_PREFIX
#define MD_EXEC_PREFIX		"/usr/ccs/gcc/"
#endif

#ifndef MD_STARTFILE_PREFIX
#define MD_STARTFILE_PREFIX	"/usr/ccs/lib/"
#endif

#define TARGET_DEFAULT (MASK_GAS | MASK_G012_NUSED)

#define DBX_DEBUGGING_INFO	/* generate stabs instead of mips debug info */

#include "tm-mips.h"
