/* Language-specific hook definitions for C++ front end.
   Copyright (C) 1990 Free Software Foundation, Inc.

This file is part of GNU CC.

GNU CC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GNU CC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU CC; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */


#include "config.h"
#include "tree.h"
#include "cplus-tree.h"
#include <stdio.h>
#include "input.h"

int
lang_decode_option (p)
     char *p;
{
  return cplus_decode_option (p);
}

void
lang_init ()
{
  /* the beginning of the file is a new line; check for # */
  /* With luck, we discover the real source file's name from that
     and put it in input_filename.  */
  put_back (check_newline ());
  
  cplus_init ();
}

void
lang_finish ()
{
  cplus_finish ();
}

void
print_lang_statistics ()
{
  print_cplus_statistics ();
}


/* Each of the functions defined here
   is an alternative to a function in objc-actions.c.  */
   
void
maybe_objc_check_decl (decl)
     tree decl;
{
}

int
maybe_objc_comptypes (lhs, rhs)
     tree lhs, rhs;
{
  return 0;
}

#ifdef NeXT
tree
maybe_objc_method_name (decl)
      tree decl;
{
  return 0;
}
#endif /* NeXT */

tree
maybe_building_objc_message_expr ()
{
  return 0;
}

void
install_reserved_words (lang)
      enum languages lang;
{
}
